“远程计算机需要网络级别身份验证,你的系统不支持”,如何让XP

发布时间: 2013-02-15    来源: 未知    作者: admin
核心提示: 远程计算机需要网络级别身份验证,你的系统不支持 怎么解决? 前提:1、安装远程桌面连接工具升级到6.1版。2、Windows 版本升级到:XP SP3。 在实际工作中,你可能会时常使用远程桌…

    “远程计算机需要网络级别身份验证,你的系统不支持”怎么解决?

    前提:1、安装“远程桌面连接工具”升级到6.1版。2、Windows 版本升级到:XP SP3。

    在实际工作中,你可能会时常使用远程桌面连接,比较常见的一种情况是Windows XP与Windows Vista,默认设置下,Windows Vista的远程桌面连接是“只允许运行带网络级身份验证的远程桌面的计算机连接(更安全)”,也就是说在进行远程桌面连接之前先进行身份验证,这样可以让系统获得更安全的保障。

    事实上,Windows XP在安装SP3补丁包之后,远程桌面已经可以实现网络身份验证NLA(Network Level Authentication)了,但我们却并没有在帮助信息中发现相应的支持信息,这是怎么回事呢?其实,这是由于Windows XP SP3并未自动激活NLA支持,我们需要手工更改注册表中的相关键值,具体步骤如下:

    第1步:进入Windows XP SP3,运行“regedit”打开注册表编辑器,依次进入“HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa”,双击右侧窗格中的“Security Packages”,此时会打开“编辑多字符串”对话框,在列表框中添加“tspkg”的内容,至于原有的内容则不用更改。

    第2步:依次定位至“HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\SecurityProviders”,双击右侧的“SecurityProviders”字符串,打开“编辑字符串”对话框,在数值数据框中添加“,credssp.dll”,注意逗号后有一个英文的空格,且这个逗号是个英文逗号。

    第3步:完成上述修改之后,重新启动计算机。再次从开始菜单中打开远程桌面连接,现在我们可以在“关于”窗口中看到“支持网络级别的身份验证”的信息。

    注意:如果你是从Windows XP SP3远程连接Windows Vista,那么请使用计算机名而非IP地址。

顶一下
(0)
0%
踩一下
(0)
0%
上一篇:清除远程桌面连接信息

下一篇:没有了

热门
相关